API ReferenceapicommunityPOST /v1/admin/follows

POST /v1/admin/follows

Service: community · operationId: (none)

Create a follow edge for a member via service-to-service auth

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "follower_user_id": {
      "type": "string",
      "minLength": 1
    },
    "followed_user_id": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "follower_user_id",
    "followed_user_id"
  ]
}

Responses

200 Follow created or already present

{
  "type": "object",
  "properties": {
    "follower_id": {
      "type": "string"
    },
    "followed_id": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "outcome": {
      "type": "string",
      "enum": [
        "followed",
        "already-following"
      ]
    }
  },
  "required": [
    "follower_id",
    "followed_id",
    "created_at",
    "outcome"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://community.platform.loop.health/v1/admin/follows \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'